:root {
  /* Primary Colors */
  --color-dark-blue: #121826;
  --color-purple: #4138c2;
  --color-purple-lighter: #463fc9;
  --color-blue: #4e80ee;

  /* Neutral Colors */
  --color-gray-dark: #9da3ae;
  --color-gray-light: #c9d2fa;
  --color-white: #ffffff;

  /* Accent Colors */
  --color-red: #e14f62;
  --color-orange: #e87b35;
  --color-yellow: #e2b53e;
  --color-yellow-light: #fdf9c9;

  /* Green Colors */
  --color-green: #5ec269;
  --color-green-light: #e2fbe8;

  /* Cyan/Teal Colors */
  --color-cyan: #52b3d0;
  --color-cyan-light: #d5faf1;

  /* Purple/Magenta Colors */
  --color-purple-light: #9d59ef;
  --color-magenta: #c951e7;
  --color-purple-pale: #f1e8fd;

  /* Additional Light Colors */
  --color-blue-pale: #dee9fc;
  --color-pink-pale: #fbe5e6;
  --color-cream: #fceed8;
  --color-gray-pale: #e5e7eb;
  --font-heading: normal 700 2.25rem 'Be Vietnam Pro', sans-serif;
  --font-heading-2: normal 700 2rem 'Be Vietnam Pro', sans-serif;
  --font-label: normal 700 1.25rem 'Be Vietnam Pro', sans-serif;
  --font-body-button-text-regular: normal 400 1rem 'Be Vietnam Pro', sans-serif;
  --font-body-button-text-bold: normal 700 1rem 'Be Vietnam Pro', sans-serif;
}

* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

body {
  line-height: 1.5;
}

.container {
  max-width: 1206px;
  margin: 0 auto;
}

.nav {
  display: flex;
  justify-content: space-between;
  padding: 1.5rem 2rem;
}

.hero {
  padding: 2rem;
  margin-bottom: 2.25rem;
}

.hero-image {
  display: block;
  width: 100%;
  margin-bottom: 2rem;
}

.hero-heading {
  font: var(--font-heading);
  margin-bottom: 2rem;
}

.hero-heading--highlight {
  color: var(--color-purple);
}

.hero-lead {
  font: var(--font-body-button-text-regular);
  color: var(--color-dark-blue);
  font-weight: 300;
  margin-bottom: 2rem;
}

.features {
  padding: 4.5rem 2rem;
  margin-bottom: 4.5rem;
}

.features .section-heading {
  font: var(--font-heading-2);
  text-align: center;
  margin-bottom: 4rem;
}

.features-container {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  column-gap: 2rem;
  row-gap: 2.5rem;
}

.feature {
  text-align: center;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.feature-icon {
  display: inline-block;
  font-size: 2rem;
  padding: 1rem;
  width: 72px;
  height: 72px;
  border-radius: 16px;
  margin-bottom: 1.5rem;
}

.feature-title {
  font: var(--font-label);
}

.cta {
  background: url('resources/footer_background_image.png') no-repeat center
    center/cover;
  padding: 11.6rem 2rem;
  text-align: center;
}

.cta .section-heading {
  font: var(--font-heading-2);
  margin-bottom: 1.5rem;
  color: var(--color-white);
}

.footer {
  padding: 1.5rem 2rem;
  background-color: var(--color-dark-blue);
}

.footer div {
  display: flex;
  flex-wrap: wrap;
  gap: 32px;
}

.copyright {
  font: var(--font-body-button-text-regular);
  color: var(--color-white);
}

.footer .link {
  font: var(--font-body-button-text-bold);
  text-decoration: none;
  color: var(--color-white);
}

.button {
  display: inline-block;
  font: var(--font-body-button-text-bold);
  padding: 1em 2em;
  border-radius: 100px;
  cursor: pointer;
}

.button--outline {
  background-color: transparent;
  border: 2px solid var(--color-gray-light);
  color: var(--color-purple);
}

.button--outline:hover {
  background-color: var(--color-purple);
  color: var(--color-white);
  border-color: transparent;
}

.button--fill {
  border: 2px solid var(--color-purple);
  background-color: var(--color-purple);
  color: var(--color-white);
}

.button--fill:hover {
  background-color: var(--color-purple-lighter);
}

@media (min-width: 48em) {
  .nav {
    padding: 1.5rem 4.5rem;
  }

  .hero {
    display: flex;
    align-items: center;
    padding: 2rem 4.5rem;
    gap: 2rem;
  }

  .hero-text {
    flex: 2;
  }

  .hero-lead {
    width: 80%;
  }

  .hero-image {
    order: 1;
    flex: 1;
  }

  .features {
    padding: 4.5rem;
  }

  .features-container {
    grid-template-columns: repeat(4, 1fr);
  }

  .footer {
    padding: 1.5rem 4.5rem;
    flex-wrap: nowrap;
  }
}

@media (min-width: 64em) {
  .hero-text {
    flex: 1;
  }
}
